#!/usr/bin/env python3
# -*- coding: utf-8 -*-
import os
from unittest import TestCase
from pod_client.Resource import Resource

HOST = 'http://pod.ubicast.net'
API_KEY = os.environ.get('POD_UNIT_TEST_API_KEY')


def setUpModule():
    pass


def tearDownModule():
    pass


class ResourceTest(TestCase):

    def test_init(self):
        resource_name = 'files'
        resource_file = Resource(HOST, API_KEY, resource_name)
        self.assertEqual(HOST, resource_file.host_url)
        self.assertEqual(resource_name, resource_file.name)
        success = True
        try:
            resource_file = Resource('', API_KEY, resource_name)
        except Exception:
            success = False
        self.assertFalse(success)
        success = True
        try:
            resource_file = Resource(HOST, API_KEY, 'fake')
        except Exception:
            success = False
        self.assertFalse(success)
        success = True
        try:
            resource_file = Resource(HOST, '', 'fake')
        except Exception:
            success = False
        self.assertFalse(success)

    def test_get(self):
        resource = Resource(HOST, API_KEY, 'videos')
        response = resource.get()
        self.assertEqual(response.status_code, 200, response.text)
        first_id = response.json().get('results', [])[0].get('id')
        self.assertTrue(first_id)
        response = resource.get(resource_id=first_id)
        self.assertEqual(response.status_code, 200, response.text)

    def test_post(self):
        pass

    def test_put(self):
        pass

    def test_patch(self):
        pass

    def test_delete(self):
        pass
